﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class MaterialsAdmission
    {
        public int Id { get; private set; }

        public int Amount { get; private set; }

        public DateTime DateTime { get; private set; }

        public int MaterialId { get; private set; }

        public static MaterialsAdmission CreateOperation(int id, int amount, int materialId)
        {
            return new MaterialsAdmission { Id = id, Amount = amount, DateTime = DateTime.Now, MaterialId = materialId };
        }
    }
}
