﻿using ProjectPublishing.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Repositories
{
    public interface IPrintingHouseRepository
    {
        IEnumerable<PrintingHouse> ReadPrintingHouses();

        PrintingHouse ReadPrintingHouseById(int id);

        void CreatePrintingHouse(PrintingHouse printingHouse);

        void UpdatePrintingHouse(PrintingHouse printingHouse);

        void DeletePrintingHouse(int id);
    }
}
